Loading...
Searching...
No Matches
pm_event_attrs Struct Reference

MPTCP generic netlink attribute values. More...

## Public Attributes

mptcpd_token_t const * | token
| MPTCP connection token.
mptcpd_aid_t const * | laddr_id
| Local MPTCP address ID.
mptcpd_aid_t const * | raddr_id
| Remote MPTCP address ID.
in_addr_t const * | laddr4
| Local IPv4 address (network byte order).
in_addr_t const * | raddr4
| Remote IPv4 address (network byte order).
struct in6_addr const * | laddr6
| Local IPv6 address.
struct in6_addr const * | raddr6
| Remote IPv6 address.
in_port_t const * | local_port
| Local TCP port (network byte order).
in_port_t const * | remote_port
| Remote TCP port (network byte order).
int32_t const * | index
| Network interface index.
uint8_t const * | backup
| MPTCP subflow backup priority status (boolean).
uint8_t const * | error
| MPTCP subflow related event error.
uint8_t const * | server_side
| Server side connection event (boolean)

## Detailed Description

MPTCP generic netlink attribute values.

## Member Data Documentation

## error

uint8_t const* pm_event_attrs::error

MPTCP subflow related event error.

Note
  This is value is equal to the `sk_err` member of `struct` `sock` in the Linux kernel.

The documentation for this struct was generated from the following file:

- src/path_manager.c